Loading...
Searching...
No Matches
Dune::GridGlue::Reverse< reverse > Struct Template Reference

`#include <dune/grid-glue/adapter/rangegenerators.hh>`

Inheritance diagram for Dune::GridGlue::Reverse< reverse >:

## Public Types

typedef Reverse | type

## Public Member Functions

constexpr Reverse<!reverse > | operator! () const

## Related Symbols

(Note that these are not member symbols.)
const Reverse< true > | reversed

## Detailed Description

template<bool reverse>
struct Dune::GridGlue::Reverse< reverse >

Static tag representing reversal of in- and outside of intersecions.

## Member Typedef Documentation

## type

template<bool reverse>

typedef Reverse Dune::GridGlue::Reverse< reverse >::type

## Member Function Documentation

## operator!()

template<bool reverse>

Reverse<!reverse > Dune::GridGlue::Reverse< reverse >::operator! | ( |  | ) | const

inline constexpr

## Friends And Related Symbol Documentation

## reversed

template<bool reverse>

const Reverse<true> reversed

related

Static tag representing reversal of in- and outside of intersections.

The documentation for this struct was generated from the following file:

- rangegenerators.hh